Skip to main content
GET
List coupons

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

topicId
string

Restrict to coupons from this topic. Get it from coupons.listTopics.

Pattern: ^\d+$
issueStatus
enum<string>

Restrict to coupons with this issue status.

Available options:
published,
unpublished
usageStatus
enum<string>

Restrict to coupons with this usage status.

Available options:
used,
notUsed

Case-insensitive substring match against the coupon code.

page
integer
default:1

Page number, starting at 1.

Required range: 1 <= x <= 9007199254740991
perPage
integer
default:50

Number of items per page, up to 50.

Required range: 1 <= x <= 50

Response

OK

data
object[]
required
pageCount
number
required